cordova.define("eapp-plugin-basics.EappPlugin", function(require, exports, module) {
var exec = require("cordova/exec");

exports.TYPE = {
  BY_LEFT: "by_left",
  BY_RIGHT: "by_right",
  BY_BOTTOM: "by_bottom",
  BY_TOP: "by_top",
};

exports.openNewView = function (viewObj, success, error) {
  exec(success, error, "EappPlugin", "openNewView", [viewObj]);
};
exports.viewBack = function (success, error) {
  exec(success, error, "EappPlugin", "viewBack", null);
};
exports.exitApp = function () {
  exec(null, null, "EappPlugin", "exitApp", null);
};
exports.barcodeScanne = function (success, error) {
  exec(success, error, "EappPlugin", "barcodeScanne", null);
};
exports.openNewView = function (type, url, success, error) {
  exec(success, error, "EappPlugin", "openNewView", [type, url]);
};
exports.getValueFromApp = function (key, success, error) {
  exec(success, error, "EappPlugin", "getValueFromApp", [key]);
};
exports.setValueForApp = function (key, value, success, error) {
  exec(success, error, "EappPlugin", "setValueForApp", [key, value]);
};

exports.faceVerify = function (arg0, arg1, success, error) {
  exec(success, error, "EappPlugin", "faceVerify", [arg0, arg1]);
};

exports.aiFunction = function (params, success, error) {
  exec(success, error, "EappPlugin", "aiFunction", [params]);
};
exports.getDeviceId = function (success, error) {
  exec(success, error, "EappPlugin", "getDeviceId", null);
};
exports.getDeviceModel = function (success, error) {
  exec(success, error, "EappPlugin", "getDeviceModel", null);
};
exports.loadUnzip = function (arg0, arg1, success, error) {
  exec(success, error, "EappPlugin", "loadUnzip", [arg0, arg1]);
};

exports.setBadgeNumber = function (arg0, success, error) {
  exec(success, error, "EappPlugin", "setBadgeNumber", [arg0]);
};
exports.getDeviceInfo = function (success, error) {
  exec(success, error, "EappPlugin", "getDeviceInfo", null);
};
exports.shareAction = function (params, success, error) {
  exec(success, error, "EappPlugin", "shareAction", [params]);
};
exports.clearWebCache = function (params, success, error) {
  exec(success, error, "EappPlugin", "clearWebCache", [params]);
};
exports.getStatusBarHeight = function (success, error) {
  exec(success, error, "EappPlugin", "getStatusBarHeight", null);
};
exports.photoToBase64 = function (params, success, error) {
  exec(success, error, "EappPlugin", "photoToBase64", [params]);
};
exports.getCurrentPosition = function (params, success, error) {
  exec(success, error, "EappPlugin", "getCurrentPosition", [params]);
};
exports.getCurrentGPS = function (params, success, error) {
  exec(success, error, "EappPlugin", "getCurrentGPS", [params]);
};
exports.disScreenshots = function () {
  exec(null, null, "EappPlugin", "disScreenshots", null);
};
exports.getLaunchUrl = function (success, error) {
  exec(success, error, "EappPlugin", "getLaunchUrl", null);
};

exports.openEappSettingInfo = function (success, error) {
  exec(success, error, "EappPlugin", "openEappSettingInfo", null);
};

exports.openEappSandBox = function (params, success, error) {
  exec(success, error, "EappPlugin", "openEappSandBox", [params]);
};

exports.setWKCookie = function (params, success, error) {
  exec(success, error, "EappPlugin", "setWKCookie", [params]);
};

});
